io.undertow.protocols.ajp

## Class AjpClientCPingStreamSinkChannel

- java.lang.Object
- - io.undertow.server.protocol.framed.AbstractFramedStreamSinkChannel<AjpClientChannel,AbstractAjpClientStreamSourceChannel,AbstractAjpClientStreamSinkChannel>
  - - io.undertow.protocols.ajp.AbstractAjpClientStreamSinkChannel
    - - io.undertow.protocols.ajp.AjpClientCPingStreamSinkChannel

All Implemented Interfaces:
  Closeable, AutoCloseable, Channel, GatheringByteChannel, InterruptibleChannel, WritableByteChannel, org.xnio.channels.CloseableChannel, org.xnio.channels.Configurable, org.xnio.channels.StreamSinkChannel, org.xnio.channels.SuspendableWriteChannel

    public class AjpClientCPingStreamSinkChannel
    extends AbstractAjpClientStreamSinkChannel

Author:
  Stuart Douglas

### Field Summary

### Fields inherited from interface org.xnio.channels.Configurable

`EMPTY`

### Constructor Summary

Constructors
`protected` `AjpClientCPingStreamSinkChannel(AjpClientChannel channel)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SendFrameHeader` `createFrameHeader()`

### Methods inherited from class io.undertow.protocols.ajp.AbstractAjpClientStreamSinkChannel

`isLastFrame`

### Methods inherited from class io.undertow.server.protocol.framed.AbstractFramedStreamSinkChannel

`awaitWritable, awaitWritable, channelForciblyClosed, close, flush, getAwaitWritableTimeout, getBuffer, getChannel, getCloseSetter, getIoThread, getOption, getWorker, getWriteSetter, getWriteThread, handleFlushComplete, isBroken, isBufferFull, isFinalFrameQueued, isFirstDataWritten, isFlushRequiredOnEmptyBuffer, isOpen, isReadyForFlush, isWriteResumed, isWritesShutdown, markBroken, preWriteTransform, resumeWrites, resumeWritesInternal, safeToSend, send, sendInternal, setOption, shutdownWrites, supportsOption, suspendWrites, transferFrom, transferFrom, wakeupWrites, write, write, write, writeFinal, writeFinal, writeFinal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AjpClientCPingStreamSinkChannel

    protected AjpClientCPingStreamSinkChannel(AjpClientChannel channel)

### Method Detail

#### createFrameHeader

    protected final SendFrameHeader createFrameHeader()

Overrides:
  `createFrameHeader` in class `AbstractFramedStreamSinkChannel<AjpClientChannel,AbstractAjpClientStreamSourceChannel,AbstractAjpClientStreamSinkChannel>`